org.eclipse.rdf4j.common.platform.support

## Class PosixKDEPlatform

- java.lang.Object
- - org.eclipse.rdf4j.common.platform.AbstractPlatform
  - - org.eclipse.rdf4j.common.platform.support.PosixPlatform
    - - org.eclipse.rdf4j.common.platform.support.PosixKDEPlatform

- All Implemented Interfaces:
    Platform

      public class PosixKDEPlatform
      extends PosixPlatform

  Platform implementation for KDE environments under UNIX.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `colonReplacement, logger, separatorReplacement, whitespaceReplacement`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.platform.Platform

      `APPDATA_BASEDIR_PROPERTY, OLD_DATADIR_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PosixKDEPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get a descriptive name for this platform.

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.support.PosixPlatform

      `dataDirPreserveCase, dataDirReplaceColon, dataDirReplaceWhitespace, getOSApplicationDataDir`

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `getApplicationDataDir, getApplicationDataDir, getOSApplicationDataDir, getRelativeApplicationDataDir, getRelativeApplicationDataDir, getUserHome`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PosixKDEPlatform

          public PosixKDEPlatform()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Platform`
      Get a descriptive name for this platform.
      Specified by:
        `getName` in interface `Platform`
      Overrides:
        `getName` in class `PosixPlatform`
      Returns:
        name of the platform

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.